var debug = process.env.NODE_ENV !== "production";
var webpack = require('webpack');
var path = require('path');
const ExtractTextPlugin = require('extract-text-webpack-plugin');

const extractCSS = new ExtractTextPlugin('css/app.css');

module.exports = {
  context: path.join(__dirname, "src"),
  devtool: "inline-sourcemap",
  entry: "./app.js",
  module: {
    loaders: [
      {
        test: /\.less$/,
        loader: 'style-loader!css-loader!less-loader'
      },
      {
                test: /\.css$/,
                loader: extractCSS.extract([ 'css-loader'])
      },
      {
        test: /\.(png|woff|woff2|eot|ttf|svg)$/,
        loader: 'url-loader?limit=100000'
      },
      {
        test: /\.jsx?$/,
        exclude: /(node_modules|bower_components)/,
        loader: 'babel-loader',
        query: {
          presets: ['react', 'es2015',"stage-3"]
        }
      }
    ]
  },
  output: {
    filename: "App.min.js",
    publicPath: "/assets/"
  },
  devServer: {
    publicPath: "/assets",
    hot: true
},
  plugins: [
    new webpack.ProvidePlugin({
      "React": "react",
    }),
  extractCSS,
  ],
};
