const path = require('path');
const webpack = require('webpack');

module.exports = {
  context: path.join(__dirname, "src"),
  devtool: 'source-map',

  entry: [
    './index.js'
  ],

  output: {
    path: path.join(__dirname, 'dist'),
    filename: 'index.js',
    publicPath: '/',
    library: 'databoard',
    libraryTarget: 'umd',
    umdNamedDefine: true,
  },

  plugins: [

    new webpack.DefinePlugin({
      'process.env': {
        NODE_ENV: JSON.stringify('production')
      }
    }),

    new webpack.optimize.UglifyJsPlugin({
      minimize: true,
      compress: {
        warnings: true
      }
    }),
    new webpack.ProvidePlugin({
      "React": "react",
    }),
  ],
  module: {
    loaders: [
      {
      test: /\.js$/,
      loader: 'babel-loader',
      exclude: /node_modules/,
      query: {
        presets: ['es2015', 'react','stage-3']
      }
    },
    { test: /\.css$/, loader: 'style-loader!css-loader' },
  ]
  },
  node: {
    global: false,
  }

}
